Bug 818821 - duplicity fails when running out of disk
duplicity fails when running out of disk
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: duplicity (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-04 01:43 EDT by Pierre Ossman
Modified: 2014-04-10 21:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-10 21:52:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pierre Ossman 2012-05-04 01:43:35 EDT
The backup target has run out of disk space, which is making duplicity fail with "Unknown error". This is rather surprising given that the configuration GUI says "Old backups will be kept for at least six months or until the backup location is low on space.".
Comment 1 Pierre Ossman 2012-05-04 02:23:04 EDT
Sorry, the message is of course from Deja Dup. I'm not sure who is supposed to handle running out of disk though, so feel free to move it if you feel that this is not a duplicity bug.
Comment 2 Tim Waugh 2012-11-27 04:21:40 EST
Note that running duplicity directly results in a Python traceback due to running out of space, but the process does not exit.  I think that's most likely the cause of the problem.  Duplicity should handle out-of-space errors by exiting with an appropriate exit code.
Comment 3 Fedora End Of Life 2013-04-03 13:18:44 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 4 Fedora Admin XMLRPC Client 2013-12-26 01:18:26 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Rahul Sundaram 2013-12-27 18:03:03 EST
Can anyone check with the current release please?  Thanks
Comment 6 Rahul Sundaram 2014-04-10 21:52:42 EDT
Closing.  If anyone can reproduce this, please reopen

Note You need to log in before you can comment on or make changes to this bug.